| Package | Description |
|---|---|
| io.swagger.client | |
| io.swagger.client.api |
| Modifier and Type | Method and Description |
|---|---|
<T> ApiResponse<T> |
ApiClient.execute(com.squareup.okhttp.Call call)
|
<T> ApiResponse<T> |
ApiClient.execute(com.squareup.okhttp.Call call,
Type returnType)
Execute HTTP call and deserialize the HTTP response body into the given return type.
|
| Modifier and Type | Method and Description |
|---|---|
ApiResponse<Void> |
MandatorAdministrationApi.changeClientCredentialsWithHttpInfo(ChangeClientCredentialsParams body)
Change client credentials
Change the client_secret for any of your clients, including the mandator admin client.
|
ApiResponse<CategorizationCheckResults> |
MocksAndTestsApi.checkCategorizationWithHttpInfo(TransactionsData body)
Check categorization
This service can be used to check the categorization for a given set of transactions, without the need of having the transactions actually imported in finAPI.
|
ApiResponse<Category> |
CategoriesApi.createCategoryWithHttpInfo(CategoryParams body)
Create a new category
Create a new custom transaction category for the authorized user, that can then be assigned to transactions via PATCH /transactions, and that will also be regarded in finAPI's automatic transactions categorization process.
|
ApiResponse<Label> |
LabelsApi.createLabelWithHttpInfo(LabelParams body)
Create a new label
Create a new label for a specific user.
|
ApiResponse<NotificationRule> |
NotificationRulesApi.createNotificationRuleWithHttpInfo(NotificationRuleParams body)
Create a new notification rule
Create a new notification rule for a specific user.
|
ApiResponse<User> |
UsersApi.createUserWithHttpInfo(UserCreateParamsImpl body)
Create a new user
<p>Create a new user.
|
ApiResponse<Void> |
AccountsApi.deleteAccountWithHttpInfo(Long id)
Delete an account
Delete a single bank account of the user that is authorized by the access_token, including its transactions and balance data.
|
ApiResponse<IdentifierList> |
AccountsApi.deleteAllAccountsWithHttpInfo()
Delete all accounts
Delete all accounts of the user that is authorized by the access_token, including all transactions and balance data.
|
ApiResponse<IdentifierList> |
BankConnectionsApi.deleteAllBankConnectionsWithHttpInfo()
Delete all bank connections
Delete all bank connections of the user that is authorized by the access_token.
|
ApiResponse<IdentifierList> |
CategoriesApi.deleteAllCategoriesWithHttpInfo()
Delete all categories
Delete all custom categories of the user that is authorized by the access_token.
|
ApiResponse<IdentifierList> |
LabelsApi.deleteAllLabelsWithHttpInfo()
Delete all labels
Delete all labels of the user that is authorized by the access_token.
|
ApiResponse<IdentifierList> |
NotificationRulesApi.deleteAllNotificationRulesWithHttpInfo()
Delete all notification rules
Delete all notification rules of the user that is authorized by the access_token.
|
ApiResponse<IdentifierList> |
TransactionsApi.deleteAllTransactionsWithHttpInfo()
Delete all transactions
Delete all deletable transactions of the currently authorized user.
|
ApiResponse<Void> |
UsersApi.deleteAuthorizedUserWithHttpInfo()
Delete the authorized user
Delete the authorized user.
|
ApiResponse<Void> |
BankConnectionsApi.deleteBankConnectionWithHttpInfo(Long id)
Delete a bank connection
Delete a single bank connection of the user that is authorized by the access_token, including all of its accounts and their transactions and balance data.
|
ApiResponse<Void> |
CategoriesApi.deleteCategoryWithHttpInfo(Long id)
Delete a category
Delete a single category of the user that is authorized by the access_token.
|
ApiResponse<Void> |
LabelsApi.deleteLabelWithHttpInfo(Long id)
Delete a label
Delete a single label of the user that is authorized by the access_token.
|
ApiResponse<Void> |
NotificationRulesApi.deleteNotificationRuleWithHttpInfo(Long id)
Delete a notification rule
Delete a single notification rule of the user that is authorized by the access_token.
|
ApiResponse<Void> |
TransactionsApi.deleteTransactionWithHttpInfo(Long id)
Delete a transaction
Delete a single transaction of the user that is authorized by the access_token.
|
ApiResponse<Void> |
UsersApi.deleteUnverifiedUserWithHttpInfo(String userId)
Delete an unverified user
Delete an unverified user.
|
ApiResponse<UserIdentifiersList> |
MandatorAdministrationApi.deleteUsersWithHttpInfo(UserIdentifiersParams body)
Delete users
Delete one or several users, which are specified by a given list of identifiers.
|
ApiResponse<Account> |
AccountsApi.editAccountWithHttpInfo(Long id,
AccountParams body)
Edit an account
Change the name and/or the type and/or the 'isNew' flag of a single bank account of the user that is authorized by the access_token.
|
ApiResponse<User> |
UsersApi.editAuthorizedUserWithHttpInfo(UserUpdateParamsImpl body)
Edit the authorized user
Edit the authorized user's data and settings.
|
ApiResponse<BankConnection> |
BankConnectionsApi.editBankConnectionWithHttpInfo(Long id,
EditBankConnectionParams body)
Edit a bank connection
Change the stored authentication credentials (banking user ID, banking customer ID, and banking PIN), or other fields of the bank connection.
|
ApiResponse<ClientConfiguration> |
ClientConfigurationApi.editClientConfigurationWithHttpInfo(ClientConfigurationParams body)
Edit client configuration
Edit your client's configuration.
|
ApiResponse<Label> |
LabelsApi.editLabelWithHttpInfo(Long id,
LabelParams body)
Edit a label
Change the name of a label of the user that is authorized by the access_token.
|
ApiResponse<IdentifierList> |
TransactionsApi.editMultipleTransactionsDeprecatedWithHttpInfo(List<Long> ids,
UpdateTransactionsParams body)
Deprecated.
|
ApiResponse<IdentifierList> |
TransactionsApi.editMultipleTransactionsWithHttpInfo(UpdateMultipleTransactionsParams body)
Edit multiple transactions
Edit one or multiple transactions.
|
ApiResponse<Transaction> |
TransactionsApi.editTransactionWithHttpInfo(Long id,
UpdateTransactionsParams body)
Edit a transaction
Change a transaction's fields.
|
ApiResponse<Void> |
UsersApi.executePasswordChangeWithHttpInfo(ExecutePasswordChangeParams body)
Execute password change
Change the password of a user.
|
ApiResponse<BankResponse> |
AccountsApi.executeSepaDirectDebitWithHttpInfo(ExecuteSepaDirectDebitParams body)
Execute SEPA Direct Debit
Execute a SEPA direct debit order that has been previously submitted by the use of the /requestSepaDirectDebit service.
|
ApiResponse<BankResponse> |
AccountsApi.executeSepaMoneyTransferWithHttpInfo(ExecuteSepaMoneyTransferParams body)
Execute SEPA Money Transfer
Execute a SEPA money transfer order that has been previously submitted by the use of the /requestSepaMoneyTransfer service.
|
ApiResponse<Account> |
AccountsApi.getAccountWithHttpInfo(Long id)
Get an account
Get a single bank account of the user that is authorized by the access_token.
|
ApiResponse<BankConnectionList> |
BankConnectionsApi.getAllBankConnectionsWithHttpInfo(List<Long> ids)
Get all bank connections
Get bank connections of the user that is authorized by the access_token.
|
ApiResponse<AccountList> |
AccountsApi.getAndSearchAllAccountsWithHttpInfo(List<Long> ids,
String search,
List<Long> accountTypeIds,
List<Long> bankConnectionIds,
String minLastSuccessfulUpdate,
String maxLastSuccessfulUpdate,
BigDecimal minBalance,
BigDecimal maxBalance)
Get and search all accounts
Get bank accounts of the user that is authorized by the access_token.
|
ApiResponse<PageableBankList> |
BanksApi.getAndSearchAllBanksWithHttpInfo(List<Long> ids,
String search,
Boolean isSupported,
Boolean pinsAreVolatile,
List<String> supportedDataSources,
List<String> location,
Boolean isTestBank,
Integer page,
Integer perPage,
List<String> order)
Get and search all banks
Get and search banks from finAPI's database of banks.
|
ApiResponse<PageableCategoryList> |
CategoriesApi.getAndSearchAllCategoriesWithHttpInfo(List<Long> ids,
String search,
Boolean isCustom,
Integer page,
Integer perPage,
List<String> order)
Get and search all categories
Get a list of all global finAPI categories as well as all custom categories of the authorized user.
|
ApiResponse<PageableLabelList> |
LabelsApi.getAndSearchAllLabelsWithHttpInfo(List<Long> ids,
String search,
Integer page,
Integer perPage,
List<String> order)
Get and search all labels
Get labels of the user that is authorized by the access_token.
|
ApiResponse<NotificationRuleList> |
NotificationRulesApi.getAndSearchAllNotificationRulesWithHttpInfo(List<Long> ids,
String triggerEvent,
Boolean includeDetails)
Get and search all notification rules
Get notification rules of the user that is authorized by the access_token.
|
ApiResponse<PageableSecurityList> |
SecuritiesApi.getAndSearchAllSecuritiesWithHttpInfo(List<Long> ids,
String search,
List<Long> accountIds,
Integer page,
Integer perPage,
List<String> order)
Get and search all securities
Get securities of the user that is authorized by the access_token.
|
ApiResponse<PageableTransactionList> |
TransactionsApi.getAndSearchAllTransactionsWithHttpInfo(String view,
List<Long> ids,
String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean includeChildCategories,
Boolean isNew,
Boolean isPotentialDuplicate,
Boolean isAdjustingEntry,
String minImportDate,
String maxImportDate,
Integer page,
Integer perPage,
List<String> order)
Get and search all transactions
Get transactions of the user that is authorized by the access_token.
|
ApiResponse<User> |
UsersApi.getAuthorizedUserWithHttpInfo()
Get the authorized user
Get the authorized user's data.
|
ApiResponse<BankConnection> |
BankConnectionsApi.getBankConnectionWithHttpInfo(Long id)
Get a bank connection
Get a single bank connection of the user that is authorized by the access_token.
|
ApiResponse<Bank> |
BanksApi.getBankWithHttpInfo(Long id)
Get a bank
Get a single bank from finAPI's database of banks.
|
ApiResponse<CashFlowList> |
CategoriesApi.getCashFlowsWithHttpInfo(String search,
String counterpart,
List<Long> accountIds,
String minBankBookingDate,
String maxBankBookingDate,
String minFinapiBookingDate,
String maxFinapiBookingDate,
BigDecimal minAmount,
BigDecimal maxAmount,
String direction,
List<Long> labelIds,
List<Long> categoryIds,
Boolean isNew,
String minImportDate,
String maxImportDate,
Boolean includeSubCashFlows,
List<String> order)
Get cash flows
Get the cash flow(s) (= total income, spending, and balance) for one or several categories.
|
ApiResponse<Category> |
CategoriesApi.getCategoryWithHttpInfo(Long id)
Get a category
Get a single category that is either a global finAPI category or a custom category of the authorized user.
|
ApiResponse<ClientConfiguration> |
ClientConfigurationApi.getClientConfigurationWithHttpInfo()
Get client configuration
Get your client's configuration.
|
ApiResponse<DailyBalanceList> |
AccountsApi.getDailyBalancesWithHttpInfo(List<Long> accountIds,
String startDate,
String endDate,
Boolean withProjection,
Integer page,
Integer perPage,
List<String> order)
Get daily balances
Returns the daily balances for the given accounts and the given period.
|
ApiResponse<Label> |
LabelsApi.getLabelWithHttpInfo(Long id)
Get a label
Get a single label of the user that is authorized by the access_token.
|
ApiResponse<AccountList> |
AccountsApi.getMultipleAccountsWithHttpInfo(List<Long> ids)
Deprecated.
|
ApiResponse<BankConnectionList> |
BankConnectionsApi.getMultipleBankConnectionsWithHttpInfo(List<Long> ids)
Deprecated.
|
ApiResponse<BankList> |
BanksApi.getMultipleBanksWithHttpInfo(List<Long> ids)
Deprecated.
|
ApiResponse<CategoryList> |
CategoriesApi.getMultipleCategoriesWithHttpInfo(List<Long> ids)
Deprecated.
|
ApiResponse<LabelList> |
LabelsApi.getMultipleLabelsWithHttpInfo(List<Long> ids)
Deprecated.
|
ApiResponse<SecurityList> |
SecuritiesApi.getMultipleSecuritiesWithHttpInfo(List<Long> ids)
Deprecated.
|
ApiResponse<TransactionList> |
TransactionsApi.getMultipleTransactionsWithHttpInfo(List<Long> ids)
Deprecated.
|
ApiResponse<NotificationRule> |
NotificationRulesApi.getNotificationRuleWithHttpInfo(Long id)
Get a notification rule
Get a single notification rule of the user that is authorized by the access_token.
|
ApiResponse<Security> |
SecuritiesApi.getSecurityWithHttpInfo(Long id)
Get a security
Get a single security for a specific user.
|
ApiResponse<AccessToken> |
AuthorizationApi.getTokenWithHttpInfo(String grantType,
String clientId,
String clientSecret,
String refreshToken,
String username,
String password)
Get tokens
finAPI implements the OAuth 2.0 Standard for authorizing applications and users within applications.
|
ApiResponse<Transaction> |
TransactionsApi.getTransactionWithHttpInfo(Long id)
Get a transaction
Get a single transaction of the user that is authorized by the access_token.
|
ApiResponse<PageableUserInfoList> |
MandatorAdministrationApi.getUserListWithHttpInfo(String minRegistrationDate,
String maxRegistrationDate,
String minDeletionDate,
String maxDeletionDate,
String minLastActiveDate,
String maxLastActiveDate,
Boolean includeMonthlyStats,
String monthlyStatsStartDate,
String monthlyStatsEndDate,
Boolean isDeleted,
Integer page,
Integer perPage,
List<String> order)
Get user list
<p>Get a list of the users of the mandator that is authorized by the access_token.
|
ApiResponse<VerificationStatusResource> |
UsersApi.getVerificationStatusWithHttpInfo(String userId)
Get a user's verification status
Get the verification status of the requested user.
|
ApiResponse<BankConnection> |
BankConnectionsApi.importBankConnectionWithHttpInfo(ImportBankConnectionParams body)
Import a new bank connection
Imports a new bank connection for a specific user.
|
ApiResponse<Void> |
MocksAndTestsApi.mockBatchUpdateWithHttpInfo(MockBatchUpdateParams body)
Mock batch update
This service can be used to mock an update of one or several bank connections by letting you simulate finAPI's communication with a bank server.
|
ApiResponse<PasswordChangingResource> |
UsersApi.requestPasswordChangeWithHttpInfo(RequestPasswordChangeParameters body)
Request password change
Request password change for a user.
|
ApiResponse<DirectDebitOrderingResponse> |
AccountsApi.requestSepaDirectDebitWithHttpInfo(RequestSepaDirectDebitParams body)
Request SEPA Direct Debit
Submit a SEPA direct debit order for one or multiple direct debits.
|
ApiResponse<MoneyTransferOrderingResponse> |
AccountsApi.requestSepaMoneyTransferWithHttpInfo(RequestSepaMoneyTransferParams body)
Request SEPA Money Transfer
Submit a SEPA money transfer order for either a single or a collective money transfer.
|
ApiResponse<Transaction> |
TransactionsApi.restoreTransactionWithHttpInfo(Long id)
Restore a transaction
Restore a previously split transaction.
|
ApiResponse<Void> |
AuthorizationApi.revokeTokenWithHttpInfo(String token,
String tokenTypeHint)
Revoke a token
An additional endpoint for the OAuth 2.0 Standard, which allows clients to notify finAPI that a previously obtained refresh_token or access_token is no longer required.
|
ApiResponse<Transaction> |
TransactionsApi.splitTransactionWithHttpInfo(Long id,
SplitTransactionsParams body)
Split a transaction
Split a transaction into several logical sub-transactions.
|
ApiResponse<Void> |
CategoriesApi.trainCategorizationWithHttpInfo(CategorizationSample body)
Train categorization
This service allows you to create user-specific categorization rules (for the user that is authorized by the access_token).
|
ApiResponse<Void> |
TransactionsApi.triggerCategorizationWithHttpInfo(TriggerCategorizationParams body)
Trigger categorization
Triggers finAPI's background categorization process for all uncategorized transactions of the given bank connection(s) (or of all of the user's bank connections, if no bank connection identifiers are passed).
|
ApiResponse<BankConnection> |
BankConnectionsApi.updateBankConnectionWithHttpInfo(UpdateBankConnectionParams body)
Update a bank connection
Update an existing bank connection of the user that is authorized by the access_token.
|
ApiResponse<Void> |
UsersApi.verifyUserWithHttpInfo(String userId)
Verify a user
Verify a user.
|
Copyright © 2018. All rights reserved.